Bug 456603 - Create Firewall Rule GUI squished
Summary: Create Firewall Rule GUI squished
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_firewall (show other bugs)
Version: 5.25.2
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-11 23:49 UTC by gravityfargo
Modified: 2022-07-18 22:38 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.4


Attachments
Screenshot (65.08 KB, image/png)
2022-07-11 23:49 UTC, gravityfargo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gravityfargo 2022-07-11 23:49:51 UTC
Created attachment 150545 [details]
Screenshot

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. Open the firewall tab in system settings
2. Click the button titled "Add Rule..."
3. Select the "Advanced" Checkbox

OBSERVED RESULT
The advanced options opened, and the form is squished. I can't seem to resize the window either.  There is also a typo for the "Incoming" radio selection. Theres a stray " ` ".

EXPECTED RESULT
A not squished form that allows me to read the placeholder text of fields. 

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: Arch 5.18.10-arch1-1
KDE Plasma Version: 5.25.2
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2022-07-14 03:31:38 UTC
The weird backtick thing is Bug 442986.

Let's use this bug report to track the issue of the text fields being squished.
Comment 2 Bug Janitor Service 2022-07-14 03:34:49 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-firewall/-/merge_requests/49
Comment 3 Nate Graham 2022-07-18 22:36:10 UTC
Git commit 0c9bbb3686eb4ef21defb1d5d3b7349d3af3dd6b by Nate Graham.
Committed on 14/07/2022 at 03:32.
Pushed by ngraham into branch 'master'.

Un-squash advanced rule editor layout
FIXED-IN: 5.25.4

M  +17   -4    kcm/package/contents/ui/AdvancedRuleEdit.qml

https://invent.kde.org/plasma/plasma-firewall/commit/0c9bbb3686eb4ef21defb1d5d3b7349d3af3dd6b
Comment 4 Nate Graham 2022-07-18 22:38:49 UTC
Git commit 74375115f2ca2c1c6b24bb1df540e1481ed9b309 by Nate Graham.
Committed on 18/07/2022 at 22:38.
Pushed by ngraham into branch 'Plasma/5.25'.

Un-squash advanced rule editor layout
FIXED-IN: 5.25.4


(cherry picked from commit 0c9bbb3686eb4ef21defb1d5d3b7349d3af3dd6b)

M  +17   -4    kcm/package/contents/ui/AdvancedRuleEdit.qml

https://invent.kde.org/plasma/plasma-firewall/commit/74375115f2ca2c1c6b24bb1df540e1481ed9b309